/* MOBILE
-------------------------------------------------------------*/





@media (max-width: 768px) {


  html,
  body,
  #pun,
  .punbb {
    width: 100% !important;
    height: auto !important;
    margin: 0 !important;
    padding: 0 !important;
    background-size: contain;
    -webkit-text-size-adjust: none;
    overflow-wrap: break-word;
    float: none;
  }

    body {
        position: relative;
        overflow-x: hidden;
        overflow-y: auto;
        -webkit-overflow-scrolling: touch !important;
        z-index: 1;
        background: url(https://forumstatic.ru/files/001c/a9/87/10109.png) top center / cover no-repeat, #272727;
        background-attachment: scroll, scroll;
        background-size: cover, auto;
        background-repeat: no-repeat, repeat;
        background-position: top center, top left;
        background-size: 100% 750px, auto;
    }
.category h2 span::before, .category h2 span::after {
    display: none;
}

  img {
    max-width: 100% !important;
    height: auto;
  }

@media (max-width: 768px){
  #pun, .punbb, #pun_wrap #pun { max-width: 100%; }
  img { max-width: 100%; height: auto; }
}

  #pun_wrap #pun {
    width: 100% !important;
    border-width: 0 !important;
    overflow: hidden !important;
    margin: 0 !important;
    padding: 0 !important;
    border-radius: 0 !important;
          background: transparent;
}

  #pun-main,
  #pun-stats {
    padding: 0px
  }

  #pun .punbb {
    padding: 3% !important;
    box-sizing: border-box
  }

  #pun #pun-redirect.punbb .info .container {
    width: 100% !important;
  }
  



.shapka-pic {
    background: url(https://forumstatic.ru/files/001c/a9/87/22461.png?v=1);
    width: 1000px;
    height: 250px;
    background-size: contain;
    position: relative;
    box-sizing: border-box;
    background-repeat: no-repeat;
}

.shapka {
    position: absolute;
    margin-top: -370px;
    width: 100%;
    margin-left: -4%;
}

.icon.inew {
    background: url(https://forumstatic.ru/files/001c/a9/87/90404.png?v=1);
    width: 43px;
    height: 48px;
    background-size: contain;
    position: absolute;
    margin-left: -25px;
    margin-top: -23px;
    pointer-events: none;
    background-repeat: no-repeat;
}

ul#theme_switcher {
    position: absolute;
    margin-top: -697px;
}

.shapka-news {
    margin-top: -10px;
    width: 100%;
    height: 53px;
    position: relative;
    margin-left: 0px;
}

.shapka-post {
    width: 100% !important;
    height: auto;
    background-size: contain;
    margin-top: -40px;
    background-repeat: no-repeat;
    position: relative;
margin-left: 0px;
}

.shapka-post::before {
    content: "";
    position: absolute;
    background: url(https://forumstatic.ru/files/001c/a9/87/90185.png?v=1);
    background-size: contain;
    z-index: -1;
    width: 104%;
    height: 255px;
    background-size: contain;
    position: absolute;
    background-repeat: no-repeat;
    margin-top: -30px;
}

.header_post {
    z-index: 2;
    position: relative;
    width: 90%;
    height: 100px;
    background: var(--color1);
    margin-top: 42px;
    padding: 20px 0;
    margin-left: 3%;
    border-radius: 10px;
}

.header_post-content {
    display: flex;
    flex-direction: column;
    height: 110px;
    overflow-y: scroll;
    width: 90%;
    margin: auto;
    justify-content: flex-start;
    color: var(--color2);
    text-transform: lowercase;
}

div#pun-navlinks {
    margin-top: 620px !important;
}

.shapka-nav {
    width: 138px;
    margin-left: 4%;
    position: relative;
}

.shapka-cross {
margin-top: -70px;
        font-size: 89px;}

.shapka-need {
    gap: 3px;
    display: flex;
    margin-top: -155px;
    margin-left: 50%;
    flex-wrap: wrap;
    justify-content: center;
}


.shapka-need img {
    width: 45px;
    height: 45px;
}
div#pun-status {
    position: absolute;
    margin-top: -103px;
    margin-left: 0;
    text-align: center;
}
.light {
    .shapka-pic {
        background: url(https://forumstatic.ru/files/001c/a9/87/44950.png);
        width: 100%;
        height: 250px;
        background-size: contain;
        margin-top: 5px;
        margin-left: 1%;
        background-repeat: no-repeat;
    }

    .shapka-news {
        margin-top: 0px;
        margin-left: 0px;
        width: 100%;
        height: 53px;
        z-index: 4;
        position: relative;
    }

    .shapka-post {
        width: 412px;
        height: auto !important;
        background-size: contain;
        margin-left: 0;
        position: relative;
        margin-top: -40px;
        background-repeat: no-repeat;
    }

     .shapka-nav {
        width: 50% !important;
        margin-left: 4%;
        margin-top: -10px;
    }

    .shapka-cross {
        background: linear-gradient(288.91deg, #8159A4 53.83%, #A683D1 96.19%), #A683D1;
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
        text-fill-color: transparent;
margin-top: -70px;
        font-size: 89px;        text-align: right;
    }

    .shapka-need {
        gap: 3px;
        display: flex;
        margin-top: -155px;
        margin-left: 50%;
        width: 50%;
    }

    .header_post::after {
        content: "";
        background: url(https://forumstatic.ru/files/001c/a9/87/52369.png);
        position: absolute;
        width: 40px;
        height: 130px;
        background-size: contain;
        background-repeat: no-repeat;
        margin-top: -80px;
        margin-left: 0;
        right: -30px;
    }

        ul#theme_switcher {
            position: absolute;
            margin-top: -686px;
            margin-left: 1%;
            transform: rotate(180deg);
        }

    div#pun-status {
        position: absolute;
        margin-top: -100px;
        margin-left: -10px;
        width: 100%;
        text-align: center;
    }
    body {
        background: url(https://forumstatic.ru/files/001c/a9/87/93528.png) top center / cover no-repeat, #BFBFBF;
        background-attachment: scroll, scroll;
        background-size: cover, auto !important;
        background-repeat: no-repeat, repeat;
        background-position: top center, top left;
        background-size: 100% 750px, auto !important;
}

   .icon.inew {
        background: url(https://forumstatic.ru/files/001c/a9/87/12882.png?v=1);
        width: 23px;
        height: 27px;
        background-size: contain;
        position: absolute;
        margin-left: -25px;
        margin-top: -8px;
        pointer-events: none;
        background-repeat: no-repeat;
    }

    .banners-wrapper #banners-box {
        border-radius: 0 10px 10px 0;
        margin-left: 14%;
        width: 25%;
    }
}

div#pun-status {
    display: none !important;
}

div#pun-navlinks .container {
    display: flex;
    text-transform: lowercase;
    justify-content: flex-start;
    padding-top: 10px;
    overflow-x: scroll;
    padding-bottom: 5px;
}

div#pun-ulinks .container {
    display: flex;
    text-transform: lowercase;
    gap: 10px;
    justify-content: flex-start;
    overflow-x: scroll;
    padding-bottom: 0px;
    white-space: nowrap;
    padding-left: 5px;
}

div#pun-category3 h2 span, div#pun-category5 h2 span, div#pun-category7 h2 span {
    grid-template-columns: 1fr;
}

.category table tr {
    display: flex;
    align-items: center;
    width: 96% !important;
    flex-direction: row;
    flex-wrap: wrap;
        padding: 2% !important;
}

.category table .tcl {
    width: 96%;
    text-align: justify;
    margin-right: 0;
}

.category .flinks-cell {
    width: 35%;
}

.category table .tcr {
    width: 100%;
    text-transform: lowercase;
margin-top: 7px;}

.category .container table tr:not(:has(td.flinks-cell)) .tcr {
    width: 96% !important;
}

    tr:has(.need_wrapper) {
        background: transparent !important;
        margin-left: 0 !important;
        padding: 0 !important;
        width: 100% !important;
    }


    .need_container {
        margin-top: 40px !important;
        display: flex;
        width: 100%;
        margin: auto;
        gap: 10px;
        overflow-y: scroll;
        flex-wrap: nowrap;
        padding-bottom: 10px;
        flex-direction: column;
        max-height: 100px;
        align-items: center;
    }

    .need_container .need_item {
        width: 90% !important;
        background: var(--color5);
        border-radius: 10px;
        padding: 10px;
        display: flex;
        gap: 10px;
        height: 55px;
        transition: 0.3s ease-in-out;
        overflow-y: unset;
        flex-direction: row;
        max-width: 100%;
        align-items: center;
    }

.need_container img {
    height: 55px;
    width: 50px;
    object-fit: cover;
    filter: grayscale(1);
    border-radius: 7px;
}
 .banners-wrapper {
    width: 65%;
}

li.stats-group {
    flex-wrap: wrap;
}

#mask_dialog .hv-mask-block {
    display: flex;
    justify-content: space-between;
    align-items: stretch;
    flex-direction: column;
}

#mask_dialog .hv-preview-block {
    flex: 0;
    text-align: center;
    max-width: 100%;
    overflow: hidden;
    word-break: break-word;
    max-height: none;
    overflow-y: auto;
    overflow-x: hidden;
}

.hv-preview-avatar img {
    max-height: 100px;
    max-width: 100px;
}

div#keyboard-area {
    max-width: 91%;
}

.fs-box #tags .container {
    left: 0 !important;
}


li.stats-group li {
    width: 50%;
}

li.stats-group li.item2, li.stats-group li.item4 {
    text-align: right;
}


.section.online-list .tc3 {
    text-align: left;
}

.section.online-list tr {
    display: flex;
    flex-direction: column;
    text-align: left;
    justify-content: flex-start;
    margin-bottom: 10px;
}

.usertable tr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-between;
    margin-bottom: 10px;
}

.usertable .user-avatar {
    display: none;
}

.post-author {
    float: left;
    margin-left: 0;
    position: relative;
    z-index: 1;
    text-align: center;
    border-radius: 10px;
    margin-top: 10px;
    width: 100%;
}

.post h3 {
    width: 100%;
}

.post h3 strong {display: none;}

.post h3 span, .post h3 span a, .post h3 span em {
    float: left !important;
}

.post-body {
    width: 100% !important;
    padding: 0;
    position: relative;
    margin-left: 0;
}
.post-rating {
    width: 100%;
}

.punbb .post-links ul:after {display: none;}

.post-links ul {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
        gap: 15px 10px;
        margin-top: 10px;
}

.pa-layout {
    display: flex;
    flex-direction: row-reverse;
    align-items: center;
}

    .pa-card {
        display: flex;
        flex-direction: column-reverse;
        width: 60%;
    }
.post-content {
    padding-top: 20px;
}
.pa-poster:not(:has(.pa-fld1)) .pa-author a {
    border-radius: 0 0 10px 10px !important;
}

li.pa-info {
    margin-bottom: 0;
}

li.pa-fld2 {
    margin-top: -10px;
    padding-top: 5px;
    font-size: 10px;
    padding-bottom: 10px;
}

li.pa-avatar.item2 {
    border-radius: 10px 10px 0 0;
    padding: 10px;
    margin-top: 0px;
}

li.pa-author a {
    font-size: 11px;
    border-radius: 0;
    padding: 0;
    margin-top: -5px !important;
    font-style: normal;
    width: 100%;
}

li.pa-author {
    width: 100%;
    margin-top: -10px;
}

li.pa-fld1 a {
    padding: 0;
    width: 100% !important;
    display: flex;
    align-items: center;
    justify-content: center;
    padding-top: 7px;
    font-size: 10px;
    padding-bottom: 3px;
}


.indOnline, .indOffline {
    display: inline-block;
    margin-left: 7px;
    margin-bottom: 0;
    top: 0;
    margin-top: 10px !important;
    margin-right: 10px;
}

div#viewprofile tr {
    display: flex;
    flex-direction: column;
    align-items: center;
}

td#profile-left {
    width: 90% !important;
    margin-bottom: 10px;
}

td#profile-right {
    margin-left: 0;
    width: 95%;
}

#profile .container {
    margin-left: 0;
}

#profilenav {
    float: none;
    display: flex;
    margin-left: 0;
}

div#profilenav ul {
    display: flex;
    width: auto;
    padding-bottom: 5px;
    flex-wrap: nowrap;
    justify-content: flex-start;
flex-direction: row !important;
    overflow-y: scroll;
    width: 100% !important;
    margin-bottom: 10px;
}

#profile fieldset {
    clear: right;
    width: 100% !important;
}

form#profile5 textarea#main-reply {
    width: 95% !important;
}

form#profile5 small#plng {
    margin-bottom: 10px !important;
    display: block;
}

#form-buttons tr {
    flex-wrap: wrap;
    gap: 5px;
}

#profile input, #profile select {
    max-width: 95%;
}

span.files-page-select {
    float: right !important;
    margin-top: 0;
    position: relative;
    right: 0;
}

.pagelink {
    width: 100%;
}
.resizable-textarea textarea {
    display: block;
    margin-bottom: 0pt;
    width: 90% !important;
}
 #profile input, #profile select, #profile .inputfield, #profile .input {
        max-width: 95% !important;
        width: 95% !important;
    }

#profile2 fieldset.radiofield input, #profile7 fieldset.radiofield input {
    width: auto !important;
}

li.pl-delete, .pl-edit, .pl-quote {
    margin-left: 0;
}

li.pl-email.profile, .pl-email.pm, .pl-email.email {
    margin-right: 0;
}


form#profile6 p.checkfield input, form#profile7 p.checkfield input, form#profile11 .checkfield input {
    width: auto !important;
}

p.formsubmit {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
margin-top: 10px;
}
small#togglePreview {
    margin-left: 0;
}

div#notify-settings {
    display: none;
}

 .formal.messages-container .container {
  max-width: 95vw !important;
}

li.pa-title, li.pa-reg, li.pa-posts {
    display: none;
}



 .formal.messages-container #profilenav {
        float: none;
        display: flex;
        margin-left: 0;
        flex-direction: column;
max-width: 100%;
    }

.formal.messages-container tr {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
margin-bottom: 10px;
}

.formal.messages-container tr .tc3 {
    display: none;
}

.formal.messages-container tr .tcl, .formal.messages-container tr .tc2 {
    width: 45% !important;
}
.formal.messages-container tr td.tc2:has(input) {
    width: 5% !important;
}

.formal.messages-container tr em.user-avatar {
    display: none;
}
.hideprofile h3 {
    padding: 4px 25px 5px !important;
    width: 100% !important;
}

.hideprofile .post-body {
    width: 100% !important;
    padding: 0px !important;
}

.formal.messages-container .post-content {
    max-width: 93vw;
}

.formal.messages-container .pa-card {
    display: none;
}

   .formal.messages-container .pa-layout {
        display: flex;
        flex-direction: row-reverse;
        align-items: center;
        justify-content: center;
    }


.main.multipage .forum .tc2, .main.multipage .forum .tc3 {
    display: none;
}

.main.multipage .forum tr {
    display: flex;
    align-items: center;
    justify-content: space-between;
}


.main.multipage .forum .tclcon {
    display: flex;
    flex-direction: column;
    width: 100%;
}

.main.multipage .forum td.tcr .user-avatar {
    display: none !important;
}
.main.multipage .forum td.tcr {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
}

.multipage .forum tr {
    display: flex;
    align-items: center;
    justify-content: space-around;
    flex-direction: row;
    gap: 20px;
    margin-left: 10px !important;
    margin-top: 10px;
    margin-bottom: 10px;
}
.multipage .forum td.tcl, .multipage .forum td.tcr {
    width: 100% !important;
}
div#pun-stats #onlinelist {
    width: 100%;
}

.guestroom-hello {
    font-size: 25px;
    margin-left: -75px !important;
}

    .guestroom-image {
        width: 40vw !important;
}

.guestroom-text-block {
    width: 55vw;
}

.guestroom-hello p strong {
    font-weight: normal !important;
    position: absolute;
    margin-top: 25px;
    margin-left: -25px;
}

.guestroom-hello .bbuline {
    text-decoration: none !important;
    position: absolute;
    margin-top: 50px;
    margin-left: -25px;
    white-space: nowrap;
}

.guestroom-admins {
    position: absolute;
    float: right;
    right: 0;
    margin-top: 300px !important;
    left: 135px;
}

.guestroom-crossover {
    margin-top: 15px !important;
    position: absolute;
    margin-left: 33vw !important;
    white-space: nowrap;
}

.guestroom-text-block > p {
    margin-top: 90px !important;
}

.guestroom-lists {
    flex-direction: column;
    margin-left: 50px !important;
}
.guestroom-admins a:last-child {
    position: absolute;
    margin-top: 33px !important;
    margin-left: -50px !important;
}

.hideprofile .reactions-root {
    margin-left: 25px;
}

}